# Mass Edit Performs a Mass Edit operation on specified Datamart object - changes values of the specified field (column). Endpoint: POST /datamart.massedit/{typedId} Security: basic, X-PriceFx-jwt ## Path parameters: - `typedId` (string, required) The typedId of the object you want to perform the mass edit action for. Example: "2147483653.DMDS" ## Request fields (application/json): - `data` (object, required) - `data.filterCriteria` (object) - `data.massEditRecords` (array, required) - `data.massEditRecords.fieldName` (string, required) The name of the column whose values you want to change. - `data.massEditRecords.massEditOperator` (string, required) - `data.massEditRecords.fieldValue` (string, required) New column values. - `data.massEditRecords.precision` (any) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.status` (number)